Subject: Re: git slow unless piped to cat

From: Michal Suchánek <[email-masked]>
Date: Tue, 27 Aug 2019 13:28:04 +0200

On Tue, 27 Aug 2019 12:56:38 +0200
Uwe Kleine-König         <[email-masked]> wrote:

> Hello,
> 
> On Tue, Aug 27, 2019 at 12:33:09PM +0200, SZEDER Gábor wrote:
> > On Tue, Aug 27, 2019 at 12:04:27PM +0200, Uwe Kleine-König wrote:  
> > > I'm a bit surprised that the default for --decorate depends on the
> > > output being a terminal.  
> > 
> > Decorations (and colors as well) are for humans, and humans read the
> > terminal.  
> 
> I agree for colors only. Changing the actually provided information
> depending on output being a terminal is IMHO at least surprising.
> 
> > > Thanks for your help, I will think about what I want to do. Just using
> > > --no-decorate will work, but isn't nice either. Will test if just
> > > throwing away all those tags from linux-next will make this already
> > > better.  
> > 
> > Note that you can disable decorations by setting the 'log.decorate'
> > configuration variable to false.  
> 
> Being able to configure --decorate-refs= and --decorate-refs-exclude= in
> the config would be nice ...

The question is if excluding some will speed things up. Depending on
the way they are stored and looked up to match to the commit at hand
this might not be a big win.

Thanks

MIchal